Repository navigation
Releases: auth0/node-auth0
Release list
v7.6.0
Added
- feat: add SSE reconnection, passkey guardian factor, and additionalBodyParameters; reject dot-segment path params #1428 (fern-api[bot])
v7.5.0
Added
- feat: add client profiles, attack protection CAPTCHA policies, client grants search, and CIMD external metadata status / dynamic registration #1425 (fern-api[bot])
v7.5.0-beta.0
Beta
- feat: add attack protection CAPTCHA policies, client grants search, anonymous session network binding, DPoP strict refresh token binding; move experiment & feature flag status transitions to PATCH (#1426)
v7.4.0
Added
- feat: add clients.search, anonymous session network binding, brute-force form submission mode, DPoP strict refresh token binding; move experiment & feature flag status transitions to PATCH #1423 (fern-api[bot])
v7.4.0-beta.2
v7.4.0-beta.1
Beta
- feat: add Clients search and brute-force form submission mode (Beta); sync v7.3.0 API changes (#1414)
v7.3.0
Added
- feat: consent non-repudiation, Experiment Center EA, OIDC client support; remove Organization Templates #1413 (fern-api[bot])
v7.2.0
Added
- feat: My Organization Member Management EA, Resource Server Access Token Custom Claims, and Organization Connection Member Access Level #1406 (fern-api[bot])
v7.1.0
-
Removed the top-level
client.organizationTemplatesresource (list(),create(),get(),update(),listOrganizations()), a Limited EA feature that was exposed before it was ready; removed associatedOauthScopevaluesCreateOrganizationTemplatesandUpdateOrganizationTemplates; removed typesListOrganizationTemplatesPaginatedResponseContent,OrganizationTemplateAssignedOrganization,ListTemplateOrganizationsPaginatedResponseContent,OrganizationTemplatesClient#1404 (fern-api[bot]) -
Renamed and removed beta
-mcpvalues onConnectionStrategyEnumandConnectionIdentityProviderEnum: dropped the-mcpsuffix onasana,atlassian,gitlab, andslack; removeddocusign,figma,gusto,heroku,intercom,pagerduty,supabase,vercel, andxero;notion,cloudflare,hubspot,linear, andsentrystill use the-mcpsuffix #1404 (fern-api[bot])
Added
-
feat: add
guardian.get()/guardian.set()for Guardian settings (GET/PUT /api/v2/guardian/settings), along with theGetGuardianSettingsResponseContent,SetGuardianSettingsResponseContent, andSetGuardianSettingsRequestContenttypes; properties:display_remember_me_checkbox,remember_me_default_value,mfa_session_inactivity_timeout,mfa_session_overall_timeout#1404 (fern-api[bot]) -
feat: add
guardian.factors.email.get()/guardian.factors.email.set()for email MFA factor settings (GET/PUT /api/v2/guardian/factors/email/settings), along with theGetEmailFactorSettingsResponseContent,SetEmailFactorSettingsResponseContent, andSetEmailFactorSettingsRequestContenttypes; properties:otp_length,otp_expiration_time#1404 (fern-api[bot]) -
feat: add
guardian.factors.phone.get()/guardian.factors.phone.set()for phone MFA factor settings (GET/PUT /api/v2/guardian/factors/phone/settings), along with theGetPhoneFactorSettingsResponseContent,SetPhoneFactorSettingsResponseContent, andSetPhoneFactorSettingsRequestContenttypes; properties:otp_length,otp_expiration_time#1404 (fern-api[bot]) -
feat: add
client.experimentation.experiments.advanceRamp(id, request)for the Experimentation API (POST /api/v2/experimentation/experiments/{id}/advance-ramp), along with theAdvanceRampResponseContentandAdvanceRampRequestContenttypes; addUpdateExperimentation: "update:experimentation"toOauthScope#1404 (fern-api[bot]) -
feat: add
organizations.search(request)for the cursor-paginated search endpoint (GET /api/v2/organizations/search) with SCIM/Lucene filter syntax, along with theSearchOrganizationsRequestParameters,SearchOrganization,SearchOrganizationsPaginatedResponseContent,OrganizationSortFieldEnum, andSearchParserEnumtypes #1404 (fern-api[bot]) -
feat: add
resourceServers.search(request)for the cursor-paginated search endpoint (GET /api/v2/resource-servers/search) with SCIM/Lucene filter syntax, along with theSearchResourceServersRequestParameters,ResourceServerSearchResponse,SearchResourceServersResponseContent, andResourceServerSortFieldEnumtypes #1404 (fern-api[bot]) -
feat: add the
AnonymousSessionstype (withCreateAnonymousSessionsandUpdateAnonymousSessions) toClient,CreateClientRequestContent,UpdateClientRequestContent, and all client response types viaanonymous_sessions.active#1404 (fern-api[bot]) -
feat: add
TenantSettingsSessionsAnonymousto tenant settings (sessions.anonymous.lifetime_in_minutes,sessions.anonymous.activate_cookie) #1404 (fern-api[bot]) -
feat: add
subject_type_authorization.anonymous_user.policy(deny_all|require_client_grant) andtoken_lifetime_for_anonymous_access_tokensto resource server types, along withResourceServerSubjectTypeAuthorizationAnonymousUserandResourceServerSubjectTypeAuthorizationAnonymousUserPolicyEnum#1404 (fern-api[bot]) -
feat: add
GatewayTimeoutErrortype and map HTTP504responses to it; surfaced inorganizations.search()andresourceServers.search()#1404 (fern-api[bot])
v7.0.0
v7.0.0 (2026-09-08)
Important:
v7.0.0introduces breaking changes. Please review the v7 Migration Guide for detailed upgrade instructions.
- Removed
AuthenticationClientand all sub-clients (database,oauth,passwordless,backchannel,tokenExchange). Migrate to@auth0/auth0-auth-js. - Removed
UserInfoClient. UseauthClient.getUserInfo()from@auth0/auth0-auth-js. - Removed public
ResponseError,FetchError, andJSONApiResponseexports.
Changed
- Management client now acquires client-credentials tokens natively, without the removed shared
BaseAPIruntime. ([BREAKING] feat!: remove Authentication layer #1390 (tusharpandey13))